#ifndef FMP_HOME_PLUGIN_P_H
#define FMP_HOME_PLUGIN_P_H

#include <ctkPluginActivator.h>

class FMPHome;

class FMPHomePlugin : public QObject, public ctkPluginActivator
{
    Q_OBJECT
    Q_INTERFACES(ctkPluginActivator)
#if (QT_VERSION > QT_VERSION_CHECK(5,0,0))
    Q_PLUGIN_METADATA(IID "fmp_home")
#endif

public:
    explicit        FMPHomePlugin();

    void            start(ctkPluginContext *context);
    void            stop(ctkPluginContext *context);

private:
    FMPHome*        _home_service;
};

#endif // FMP_HOME_PLUGIN_P_H
